r2422 - jhalfs/branches/experimental

manuel at linuxfromscratch.org manuel at linuxfromscratch.org
Mon Mar 27 12:07:17 PST 2006


Author: manuel
Date: 2006-03-27 13:07:17 -0700 (Mon, 27 Mar 2006)
New Revision: 2422

Modified:
   jhalfs/branches/experimental/master.sh
Log:
Added HLFS and BLFS switches.

Modified: jhalfs/branches/experimental/master.sh
===================================================================
--- jhalfs/branches/experimental/master.sh	2006-03-27 19:58:08 UTC (rev 2421)
+++ jhalfs/branches/experimental/master.sh	2006-03-27 20:07:17 UTC (rev 2422)
@@ -346,6 +346,36 @@
       fi
       ;;
 
+    # HLFS options
+    --model )
+      test $# = 1 && eval "$exit_missing_arg"
+      shift
+      case $1 in
+        glibc | uclibc )
+          MODEL=$1
+          ;;
+        * )
+          echo -e "\n$1 isn't a valid libc model."
+          exit 1
+          ;;
+      esac
+      ;;
+
+    # BLFS options
+    --dependencies )
+      test $# = 1 && eval "$exit_missing_arg"
+      shift
+      case $1 in
+        0 | 1 | 2 )
+          DEPEND=$1
+          ;;
+        * )
+          echo -e "\n$1 isn't a valid dependencies level."
+          exit 1
+          ;;
+      esac
+      ;;
+
     # Unknown options
     * )
       if [[ "$PROGNAME" = "blfs" ]]; then




More information about the alfs-log mailing list